使用 nohup 或 disown 如果你要让某个进程运行在后台。

ELK-logstash报编码不兼容问题(CompatibilityError: incompatible encodings: ASCII-8BIT and UTF-8)

Logstash | 作者 zlw7741 | 发布于2017年09月27日 | 阅读数:4471

我是ELK+kafka+kibana抽取nginx日志,运行了十多天后logstash抽取nginx的进程忽然停止,并且重新启也报错,然后删掉kafka中的topic再次启动logstash后正常运行,我猜应该是有一条日志的编码出现问题,卡住了logstash,大神们有遇到过这个问题嘛?我的错误信息如下(具体错误如图):
Encoding::CompatibilityError: incompatible encodings: ASCII-8BIT and UTF-8
logstash报错.jpg
已邀请:

kennywu76 - Wood

赞同来自:


guyboertje commented on Apr 11

I have fixed this properly in version 3.0.3


https://github.com/logstash-pl ... ues/8

要回复问题请先登录注册